FR EN DE ES PT IT
Ankama Profile

ImYourzi's Ankama Profile

Contact Send a friend request
Member since 2017-09-10

Introduction

ImYourzi hasn't written a personalized description yet
Status: Subscribed
Last login: 2019-11-06

Characters

Yourzi
Ecaflip Lvl 130 Ilyzaelle

Activity on the dofus Forum

95 4649
not sure how to post a picture however im having similar issues. i have the launcher downloaded with 1.29 dofus on the launcher installed. when you try to log in you get the following message. "Dofus version 1.29.1 is invalid for this server. In order to play, you need to install version 1.30.0 The Dofus client will now close." However there's no update when you do close and doesn't update in the launcher. Any help would be appreciated.